> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Group Integration Collaborators

> Share an integration with groups.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/integrations/{integration_id}/groups
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/integrations/{integration_id}/groups:
    post:
      tags:
        - integrations
      summary: Create Group Integration Collaborators
      description: Share an integration with groups.
      operationId: >-
        create_group_integration_collaborators_v2_integrations__integration_id__groups_post
      parameters:
        - name: integration_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Integration Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/GroupCollaboratorCreate'
              title: Body
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GroupCollaborator'
                title: >-
                  Response Create Group Integration Collaborators V2
                  Integrations  Integration Id  Groups Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    GroupCollaboratorCreate:
      properties:
        role:
          $ref: '#/components/schemas/CollaboratorRole'
          default: viewer
        group_id:
          type: string
          format: uuid4
          title: Group Id
      type: object
      required:
        - group_id
      title: GroupCollaboratorCreate
    GroupCollaborator:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        permissions:
          items:
            $ref: '#/components/schemas/Permission'
          type: array
          title: Permissions
          default: []
        role:
          $ref: '#/components/schemas/CollaboratorRole'
        created_at:
          type: string
          format: date-time
          title: Created At
        group_id:
          type: string
          format: uuid4
          title: Group Id
        group_name:
          type: string
          title: Group Name
      type: object
      required:
        - id
        - role
        - created_at
        - group_id
        - group_name
      title: GroupCollaborator
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CollaboratorRole:
      type: string
      enum:
        - owner
        - editor
        - annotator
        - viewer
      title: CollaboratorRole
    Permission:
      properties:
        action:
          anyOf:
            - $ref: '#/components/schemas/UserAction'
            - $ref: '#/components/schemas/GroupAction'
            - $ref: '#/components/schemas/GroupMemberAction'
            - $ref: '#/components/schemas/ProjectAction'
            - $ref: '#/components/schemas/RegisteredScorerAction'
            - $ref: '#/components/schemas/ApiKeyAction'
            - $ref: '#/components/schemas/GeneratedScorerAction'
            - $ref: '#/components/schemas/FineTunedScorerAction'
            - $ref: '#/components/schemas/DatasetAction'
            - $ref: '#/components/schemas/IntegrationAction'
            - $ref: '#/components/schemas/OrganizationAction'
            - $ref: '#/components/schemas/AnnotationQueueAction'
            - $ref: '#/components/schemas/ControlResourceAction'
          title: Action
        allowed:
          type: boolean
          title: Allowed
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - action
        - allowed
      title: Permission
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserAction:
      type: string
      enum:
        - update
        - delete
        - read_api_keys
        - change_role_to_admin
        - change_role_to_manager
        - change_role_to_user
        - change_role_to_read_only
      title: UserAction
    GroupAction:
      type: string
      enum:
        - update
        - list_members
        - join
        - request_to_join
      title: GroupAction
    GroupMemberAction:
      type: string
      enum:
        - update_role
        - delete
      title: GroupMemberAction
    ProjectAction:
      type: string
      enum:
        - update
        - delete
        - rename
        - share
        - create_run
        - delete_run
        - rename_run
        - move_run
        - export_data
        - configure_human_feedback
        - record_human_feedback
        - log_data
        - toggle_metric
        - edit_alert
        - create_stage
        - edit_stage
        - configure_crown_logic
        - delete_data
        - set_metric
        - edit_run_tags
        - dismiss_alert
        - edit_slice
        - edit_edit
        - update_control_bindings
        - use_control_runtime
      title: ProjectAction
    RegisteredScorerAction:
      type: string
      enum:
        - update
        - delete
      title: RegisteredScorerAction
    ApiKeyAction:
      type: string
      enum:
        - update
        - delete
      title: ApiKeyAction
    GeneratedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: GeneratedScorerAction
    FineTunedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: FineTunedScorerAction
    DatasetAction:
      type: string
      enum:
        - update
        - delete
        - share
        - export
        - rename
      title: DatasetAction
    IntegrationAction:
      type: string
      enum:
        - update
        - delete
        - share
      title: IntegrationAction
    OrganizationAction:
      type: string
      enum:
        - rename
        - delete
        - delete_log_data
        - read_settings
        - update_settings
      title: OrganizationAction
    AnnotationQueueAction:
      type: string
      enum:
        - update
        - delete
        - share
        - record_annotation
      title: AnnotationQueueAction
    ControlResourceAction:
      type: string
      enum:
        - create
        - read
        - update
        - delete
      title: ControlResourceAction
      description: Actions on Agent Control's org-scoped ``control`` resource.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````